<template>
  <div class="app-container">
    <el-tabs v-model="activeName" @tab-click="handleClick">
      <el-tab-pane label="邮箱配置" name="first">
        <el-tabs tab-position="left" style="height: 200px">
          <el-tab-pane label="本地邮箱">
          <LocalEmailForm/>
          </el-tab-pane>
          <el-tab-pane label="阿里邮件">
            <AliyunEmailForm/>
          </el-tab-pane>
          <el-tab-pane label="腾讯邮件">
            <TencentEmailForm/>
          </el-tab-pane>
        </el-tabs>
      </el-tab-pane>
      <el-tab-pane label="短信配置" name="second">短信配置</el-tab-pane>
      <el-tab-pane label="文件配置" name="third">文件配置</el-tab-pane>
    </el-tabs>
  </div>
</template>
<style lang="scss" scoped></style>
<script>
import LocalEmailForm from './localEmailForm.vue'
import AliyunEmailForm from './aliyunEmailForm.vue'
import TencentEmailForm from './tencentEmailForm.vue'
export default {
  name: "Role",
  dicts: ["sys_normal_disable"],
  components:{LocalEmailForm,AliyunEmailForm,TencentEmailForm},
  data() {
    return {
      activeName: "first",
      emailForm:{
        number:'本地邮件发送邮箱号',
        key:'本地邮件密钥'
      },
      rules: {
          number: [
            { required: true, message: '请输本地邮件发送邮箱号', trigger: 'blur' }
      ]
      }
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询角色列表 */
    getList() {
      this.loading = true;
      // listRole(this.addDateRange(this.queryParams, this.dateRange)).then(
      //   (response) => {
      //     this.roleList = response.rows;
      //     this.total = response.total;
      //     this.loading = false;
      //   }
      // );
    },
    handleClick(tab, event) {
      console.log(tab, event);
    },
  },
};
</script>
